Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Plugin-CAPTCHA
Version:        0.04
Release:        alt1_8
Summary:        Easily create, use, and verify CAPTCHAs in CGI::Application-based web apps
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/CGI-Application-Plugin-CAPTCHA/
Source0:        http://www.cpan.org/authors/id/C/CR/CROMEDOME/CGI-Application-Plugin-CAPTCHA-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Data/Random.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(GD/SecurityImage.pm)
BuildRequires:  perl(HTTP/Server/Simple/CGI.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)



Source44: import.info

%description
CGI::Application::Plugin::CAPTCHA allows programmers to easily add and
verify CAPTCHAs in their CGI::Application-derived web applications.

%prep
%setup -q -n CGI-Application-Plugin-CAPTCHA-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_4
- fc import

